package com.jkcredit.sysnews.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.io.File;
import java.text.ParseException;
import java.text.ParsePosition;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/3/11 10:04
 * @version: V1.0
 **/
@Component
@Slf4j
public class CommonUtil {
    @Value("${photo.accessPath}")
    private String accessPath;
    @Value("${photo.accessResource}")
    private String accessResource;
    private static String ACCESS_PATH;
    private static String ACCESS_RESOURCE;

    @PostConstruct
    public void getAccessPath() {
        ACCESS_PATH = accessPath;
    }
    @PostConstruct
    public void getAccessResource() {
        ACCESS_RESOURCE = accessResource;
    }
    // 获取差集
    public static List<Long> getSubtraction(Set<Long> primary, Set<Long> secondary) {
        primary.removeAll(secondary);
        return new ArrayList<>(primary);
    }

    // 获取交集
    public static List<Long> getIntersection(Set<Long> primary, Set<Long> secondary) {
        primary.retainAll(secondary);
        return new ArrayList<>(primary);
    }

    public static String getDummyPath(String path) {
        String[] photoUrlArgs = path.split("/");
        String url = ACCESS_PATH + ACCESS_RESOURCE + photoUrlArgs[1] + File.separator + photoUrlArgs[2];
        return url;
    }

    public static String dateFormat(Date time) {
        SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return formatter.format(time);
    }
}
